Index: /waeup_product/trunk/skins/waeup_student/process_waeup_login.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 87)
+++ /waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 88)
@@ -9,13 +9,8 @@
 
 if request.form.get('submit') == 'Login':
-    waeup = context.portal_catalog(id = 'waeup')[0].getObject()
-    students = waeup.students
-    ca = context
-    if "StudentManager" in member.getGroups():
-        ca = waeup.students
-    elif "Students" in member.getGroups():
-        ca = getattr(students,str(member))
-    #ma = ca[0].getObject()
-    return response.redirect(ca.absolute_url())
+    waeup = context.portal_catalog(id = 'waeup')[0]
+    if "Manager" in member.getRoles():
+        return
+    return response.redirect(waeup.getURL())
         
 member_id = str(member)
Index: /waeup_product/trunk/skins/waeup_student/student_folder_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_folder_view_all.pt	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/student_folder_view_all.pt	(revision 88)
@@ -0,0 +1,27 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span tal:condition="python: mtool.isAnonymousUser()"> 
+      Please login or 
+      <br /><a href="" tal:attributes="href string:${context/absolute_url}/admission_status">check you Jambadmission</a>.
+      <br /><a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: /waeup_product/trunk/skins/waeup_student/students_folder_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 87)
+++ /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 88)
@@ -9,7 +9,5 @@
 member = context.portal_membership.getAuthenticatedMember()
 if member:
-    if 'Students' in member.getGroups():
-        return context.students_folder_view_students(psm=psm,groups=groups)
-    if 'StudentManager' in member.getGroups():
-        return context.students_folder_view_manager(psm=psm,groups=groups)
-return context.students_folder_view_anon(psm=psm,groups=groups)
+    if 'Manager' in member.getRoles():
+        return context.folder_view()
+return context.students_folder_view_all(psm=psm)
Index: eup_product/trunk/skins/waeup_student/students_folder_view_student.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view_student.pt	(revision 87)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="student_folder here/getContent;
-               items here/contentValues"
-               >
-    <span tal:condition="python: mtool.isAnonymousUser()"> 
-      Please login or 
-      <br /><a href="" tal:attributes="href string:${context/absolute_url}/admission_status">check you Jambadmission</a>.
-      <br /><a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>