Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 87)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 89)
@@ -32,4 +32,5 @@
                  'name': 'action_view',
                  'action': 'university_view',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (View,)},
                 {'id': 'addFaculty',
@@ -40,4 +41,5 @@
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'edit',
@@ -45,13 +47,15 @@
                  'action': 'cpsdocument_edit_form',
                  #'action': 'cpsdocument_edit_form',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'metadata',
                  'name': 'action_metadata',
                  'action': 'cpsdocument_metadata',
-                 'condition': 'not:portal/portal_membership/isAnonymousUser',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'localroles',
                  'name': 'action_local_roles',
                  'action': 'folder_localrole_form',
+                 'condition': 'not:portal/portal_membership/isAnonymousUser',
                  'permissions': (ChangePermissions,)},
                  )
@@ -82,4 +86,5 @@
                  'name': 'Students',
                  'action': 'students_folder_view',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (View,)},
                 {
@@ -87,4 +92,5 @@
                 'name'      : 'Add Content',
                 'action'    : 'string:${object/absolute_url}/folder_factories',
+                 'condition': "python:'Manager' in member.getRoles()",
                 'permissions': (StudentManage,)},
                 {
@@ -134,5 +140,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -143,4 +149,9 @@
           'category': 'object',
           'visible': True,},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -223,13 +234,28 @@
     'cps_workspace_wf': 'workspace_content_wf',
     'cps_section_wf': 'section_content_wf',
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
           'action': 'string:${object_url}/jamb_index_html',
-          #'action': 'string:${object_url}/cpsdocument_view',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
+          'condition': '',
+          'permission': (View,),
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (ModifyPortalContent,StudentManage),
+          },
+          {
+          'id'        : 'add_content',
+          'name'      : 'Add Content',
+          'action'    : 'string:${object/absolute_url}/folder_factories',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (StudentManage,)},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -241,7 +267,7 @@
     'content_icon': '',
     'content_meta_type': 'CPS Document',
-    'product': 'CPSDocument',
-    'factory': 'addCPSDocument',
-    'immediate_view': 'cpsdocument_view',
+    'product': 'WAeUP',
+    'factory': 'addStudentPersonal',
+    'immediate_view': 'student_personal_index_html',
     'global_allow': True,
     'filter_content_types': True,
@@ -259,5 +285,5 @@
     'cps_workspace_wf': 'workspace_content_wf',
     'cps_section_wf': 'section_content_wf',
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -275,4 +301,9 @@
           'category': 'object',
           'visible': True,},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -300,5 +331,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -340,5 +371,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -380,5 +411,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
Index: waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 87)
+++ waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 89)
@@ -4,10 +4,10 @@
                    folder_id python:str(user)"
                    >
-  <tal:block condition="python: 'Students' in user.getGroups()">
+  <tal:block condition="python: 0 and 'Students' in user.getGroups()">
     <a href="" i18n:translate=""
        tal:attributes="href string:${here/portal_url}/sections/waeup/students/${folder_id}"
        tal:content="string: Personal area for JAMB Registration ${folder_id}"></a>
   </tal:block>
-  <tal:block condition="python: 'StudentManager' in user.getGroups()">
+  <tal:block condition="python: 1">
     <a href="" i18n:translate=""
        tal:attributes="href string:${here/portal_url}/sections/waeup/students"
Index: waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/university_view.py	(revision 87)
+++ waeup_product/trunk/skins/waeup_default/university_view.py	(revision 89)
@@ -6,11 +6,7 @@
 
 member = context.portal_membership.getAuthenticatedMember()
-#return context.folder_view()
+
 if member:
     if 'Manager' in member.getRoles():
         return context.folder_view()
-    elif 'Students' in member.getGroups():
-        return context.students.students_folder_view_student(psm=psm,groups=groups)
-    elif 'StudentManager' in member.getGroups():
-        return context.waeup_view_manager(psm=psm,groups=groups)
-return context.students.students_folder_view_anon(psm=psm,groups=groups)
+return context.university_view_all(psm=psm)
Index: waeup_product/trunk/skins/waeup_default/university_view_all.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 89)
+++ waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 89)
@@ -0,0 +1,24 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <a href="" tal:attributes="href string:${context/absolute_url}/admission_status">Admission List UME</a>.<br />
+    <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">Admission Request (JAMB canditates only)</a>.
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>