Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 90)
+++ /waeup_product/trunk/Students.py	(revision 91)
@@ -90,4 +90,5 @@
 
 ###)
+
 studentpersonal_fti = { ###(
     'title': 'WAeUP StudentPersonal',
Index: /waeup_product/trunk/skins/waeup_faculty/course_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 91)
@@ -5,5 +5,5 @@
 """Default view for the Student."""
 member = context.portal_membership.getAuthenticatedMember()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 91)
@@ -5,5 +5,5 @@
 """Default view for a Faculty."""
 member = context.portal_membership.getAuthenticatedMember()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 90)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 91)
@@ -1,14 +1,13 @@
 ##parameters=post_id=None, REQUEST=None
 
-# $Id: department_index_html.py 84 2005-10-25 16:18:40Z joachim $
+# $Id: department_index_html.py 89 2005-10-26 11:54:25Z joachim $
 
 """Default view for a Faculty."""
 member = context.portal_membership.getAuthenticatedMember()
-
-#return context.student_view_manager()
 if member:
-    if 'StudentManager' in member.getGroups():
-    #if 'Manager' in member.getRoles():
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.folder_view()
+    elif 'StudentManager' in roles:
         return context.department_view_manager()
-    elif 'Students' in member.getGroups():
-        return context.department_view_student()
+return context.department_view_student()
Index: /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 91)
@@ -7,5 +7,5 @@
 
 member = context.portal_membership.getAuthenticatedMember()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_student/jamb_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/jamb_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_student/jamb_index_html.py	(revision 91)
@@ -7,5 +7,5 @@
 
 #return context.student_view_manager()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_student/student_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_student/student_index_html.py	(revision 91)
@@ -7,5 +7,5 @@
 
 #return context.student_view_manager()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py	(revision 91)
@@ -7,5 +7,5 @@
 
 #return context.student_view_manager()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles:
Index: /waeup_product/trunk/skins/waeup_student/students_folder_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 90)
+++ /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 91)
@@ -6,7 +6,6 @@
 will be displayed, otherwise first post will be displayed."""
 
-
 member = context.portal_membership.getAuthenticatedMember()
-if member:
+if not context.portal_membership.isAnonymousUser:
     roles = member.getRoles()
     if 'Manager' in roles: