Index: waeup_product/trunk/skins/waeup_default/create_common.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/create_common.py	(revision 96)
+++ waeup_product/trunk/skins/waeup_default/create_common.py	(revision 96)
@@ -0,0 +1,78 @@
+##parameters=REQUEST=None
+# $Id$
+"""
+Create a Faculty
+
+"""
+type_name = REQUEST.get('type_name')
+
+ti = context.portal_types[type_name]
+pr = context.portal_registration
+pm = context.portal_membership
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+
+res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
+                      schema_id= 'metadata',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      )
+if psm == 'invalid':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = 'Please correct your errors',
+                                 )
+elif psm == '':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = psm,
+                                 )
+    
+elif psm == 'valid':
+    oid = "%s" % ds.get('Title').replace(' ','')
+    context.invokeFactory(type_name,oid) 
+    object = getattr(context,oid)    
+    okw = {'Title': ds.get('Title'),
+           'Description': ds.get('Description')
+           }
+    object.getContent().edit(mapping=ds)
+    psm = 'new %s created' % oid
+    context_ti = context.portal_types[context.portal_type] 
+    index = context_ti.getActionById('view','university_view')
+    return getattr(context,index)(psm=psm)
+    name = ds.get('name')
+    student = getattr(context,s_id)    
+    student.edit(mapping=skw)
+    context.notifyCPSDocumentCreation(ob=student)
+    jamb_id = 'JAMB'
+    student.invokeFactory('Jamb',jamb_id) 
+    jamb = getattr(student,jamb_id)    
+    ds.set('title', name)
+    jamb.edit(mapping=ds)
+    context.notifyCPSDocumentCreation(ob=jamb)
+    psm = 'Student created'
+    noCPSMember = False
+    try:
+        pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember','Student'))
+    except:
+        noCPSMember = True
+    if noCPSMember:
+        pr.addMember(s_id, 'UnSeT',roles=('Member',))
+##    groups = context.portal_directories.groups
+##    gm = list(groups.getEntry('Students')['members'])
+##    gm.extend((s_id,))
+##    groups.editEntry({'group': 'Students', 
+##                      'members': gm})  
+##    return context.create_jamb_form(rendered = res,
+##                                 psm = psm,
+##                                 ds = ds,
+##                                 )
+    
+return res,psm,ds
+
Index: waeup_product/trunk/skins/waeup_default/create_common_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/create_common_form.pt	(revision 96)
+++ waeup_product/trunk/skins/waeup_default/create_common_form.pt	(revision 96)
@@ -0,0 +1,22 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition python:1;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+
+    <metal:block fill-slot="main">
+      <h1>Enter the Data for a <span tal:content="options/type_name" /> </h1>
+      <div tal:replace="structure rendered_main" />
+    </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
+</tal:block>
Index: waeup_product/trunk/skins/waeup_default/faculties.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/faculties.pt	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/faculties.pt	(revision 96)
@@ -13,4 +13,5 @@
                >
     <span> 
+      <h2>The Faculties</h2>
       <table cellspacing="0" cellpadding="0">
         <tal:block condition="python: len(items)">
Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 96)
@@ -29,4 +29,62 @@
 ###)
 
+Heading = { ###(
+         'type': 'Heading Widget',
+         'data': {
+                'fields': ['heading'],
+                'level': 1,
+                'is_i18n': 0,
+                'is_required': 1,
+                'label_edit': 'Headline',
+                'help': 'a short headline',
+                'display_width': 40,
+                'size_max': 200,
+            },
+        }###)
+
+Text = { ###(
+            'type': 'Text Widget',
+            'data': {
+                'fields': ['text'],
+                'is_i18n': 1,
+                'label_edit': 'Text',
+                'label': 'Text',
+                'help': 'a short Description',
+                'css_class': 'description',
+                'width': 72,
+                'height': 5,
+                'render_format': 'text',
+                'hidden_layout_modes': (),
+            },
+        }###)
+
+Title = { ###(
+         'type': 'Heading Widget',
+         'data': {
+                'fields': ['Title'],
+                'level': 1,
+                'is_i18n': 0,
+                'is_required': 1,
+                'label_edit': 'Name',
+                'display_width': 40,
+                'size_max': 200,
+            },
+        }###)
+
+Description = { ###(
+            'type': 'Text Widget',
+            'data': {
+                'fields': ['Description'],
+                'is_i18n': 1,
+                'label_edit': 'Description',
+                'label': 'Description',
+                'css_class': 'description',
+                'width': 72,
+                'height': 5,
+                'render_format': 'text',
+                'hidden_layout_modes': (),
+            },
+        }###)
+
 common_layout = {###(
     'widgets': {
@@ -37,30 +95,6 @@
             },
         },
-        'Title': {
-            'type': 'Heading Widget',
-            'data': {
-                'fields': ['Title'],
-                'level': 1,
-                'is_i18n': 1,
-                'is_required': 1,
-                'label_edit': 'Name',
-                'display_width': 40,
-                'size_max': 200,
-            },
-        },
-        'Description': {
-            'type': 'Text Widget',
-            'data': {
-                'fields': ['Description'],
-                'is_i18n': 1,
-                'label_edit': 'cpsdoc_description_label_edit',
-                'label': '',
-                'css_class': 'ddescription',
-                'width': 72,
-                'height': 5,
-                'render_format': 'text',
-                'hidden_layout_modes': ('create','edit', 'view'),
-            },
-        },
+        'Title': Title,
+        'Description': Description,
         'LanguageSelectorCreation': {
             'type': 'Select Widget',
@@ -790,42 +824,8 @@
 ###)
 
-department = { ###(
-   'widgets': {},
-   'layout': {
-        'style_prefix': 'layout_waeup_',
-        'flexible_widgets': (),
-        'ncols': 1,
-        'rows': [],
-    },
-}
-###)
-waeup_default = { ###(
-   'widgets': {},
-   'layout': {
-        'style_prefix': 'layout_waeup_',
-        'flexible_widgets': (),
-        'ncols': 1,
-        'rows': [],
-    },
-}
-###)
-
 course = { ###(
     'widgets': {
-##        'title': {
-##            'type': 'String Widget',
-##            'data': {
-##                'title': '',
-##                'fields': ('title',),
-##                'is_required': True,
-##                'label': 'Title',
-##                'label_edit': 'Title',
-##                'description': '',
-##                'help': '',
-##                'is_i18n': False,
-##                'display_width': 10,
-##                'size_max': 0,
-##            },
-##        },
+        'heading': Heading,
+        'text': Text,
         'level': {
             'type': 'String Widget',
@@ -913,5 +913,6 @@
         'ncols': 1,
         'rows': [
-            [{'widget_id': 'title', 'ncols': 1},],
+            [{'widget_id': 'heading', 'ncols': 1},],
+            [{'widget_id': 'text', 'ncols': 1},],
             [{'widget_id': 'level', 'ncols': 1},],
             [{'widget_id': 'code', 'ncols': 1},],
@@ -925,5 +926,5 @@
 
 layouts = {}
-layouts['university'] = waeup_default
+layouts['university'] = common_layout
 layouts['waeup_common'] = common_layout
 layouts['student'] = student_layout
@@ -933,6 +934,6 @@
 layouts['jambcreate'] = jamb_layoutcreate
 layouts['jamb'] = jamb_layout
-layouts['faculty'] = waeup_default
-layouts['department'] = waeup_default
+layouts['faculty'] = common_layout
+layouts['department'] = common_layout
 layouts['course'] = course
 layouts['admission_status'] = admission_status
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 96)
@@ -239,4 +239,18 @@
 
 course_schema = { ###(
+    'heading': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+        },
+    },
+    'text': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+        },
+    },
     'level': {
         'type': 'CPS String Field',
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 96)
@@ -34,7 +34,8 @@
                  'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
-                {'id': 'addFaculty',
+                {'id': 'add_faculty',
                  'name': 'Add a Faculty',
-                 'action': 'folder_factories',
+                 'action'    : 'string:${object/absolute_url}/create_common?type_name=Faculty',
+                 #'action': 'folder_factories',
                  'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'contents',
@@ -56,6 +57,6 @@
                  'name': 'action_local_roles',
                  'action': 'folder_localrole_form',
-                 'condition': 'not:portal/portal_membership/isAnonymousUser',
-                 'permissions': (ChangePermissions,)},
+                 'condition': 'python:0',
+                 'permissions': (ModifyPortalContent,)},
                  )
         }
@@ -87,10 +88,10 @@
                  'condition': "python:member and 'Manager' in member.getRoles()",
                  'permissions': (View,)},
-                {
-                'id'        : 'add_content',
-                'name'      : 'Add Content',
-                'action'    : 'string:${object/absolute_url}/folder_factories',
-                'condition': "python:member and 'Manager' in member.getRoles()",
-                'permissions': (StudentManage,)},
+##                {
+##                'id'        : 'add_content',
+##                'name'      : 'Add Content',
+##                'action'    : 'string:${object/absolute_url}/folder_factories',
+##                'condition': "python:member and 'Manager' in member.getRoles()",
+##                'permissions': (StudentManage,)},
                 {
                 'id'        : 'add_jamb',
@@ -320,12 +321,12 @@
     'filter_content_types': True,
     'allowed_content_types': ('Department'),
-    'allow_discussion': False,
+    'allow_discussion': 0,
     'cps_is_searchable': True,
     'cps_proxy_type': 'folder',
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','faculty'],
-    'layouts': ['common','faculty'],
+    'layouts': ['faculty'],
     'flexible_layouts': (),
-    'layout_clusters': ['metadata:metadata'],
+    'layout_clusters': ['metadata:metadata',],
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
@@ -336,5 +337,4 @@
           'condition': '',
           'permission': (View,),
-          'category': 'object',
           'visible': True,},
          {'id': 'edit',
@@ -343,6 +343,29 @@
           'condition': '',
           'permission': (UniversityManage,),
-          'category': 'object',
-          'visible': True,},
+          'visible': True,},
+          {'id': 'add_department',
+          'name': 'Add a Department',
+          'action'    : 'string:${object/absolute_url}/create_common?type_name=Department',
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'contents',
+          'name': 'action_folder_contents',
+          'action': 'folder_contents',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'cpsdocument_edit_form',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,)},
+          {'id': 'localroles',
+          'name': 'action_local_roles',
+          'action': 'folder_localrole_form',
+          'condition': 'python:0',
+          'permissions': (ModifyPortalContent,)},
           )
 }
@@ -365,7 +388,7 @@
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','department'],
-    'layouts': ['department','common',],
+    'layouts': ['department',],
     'flexible_layouts': (),
-    'layout_clusters': ['metadata:metadata'],
+    'layout_clusters': ['metadata:metadata',],
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
@@ -376,5 +399,4 @@
           'condition': '',
           'permission': ('View',),
-          'category': 'object',
           'visible': True,},
          {'id': 'edit',
@@ -383,11 +405,34 @@
           'condition': '',
           'permission': (FacultyManage,),
-          'category': 'object',
-          'visible': True,},
+          'visible': True,},
+          {'id': 'create_course',
+          'name': 'Add a Course',
+          'action'    : 'string:${object/absolute_url}/create_course',
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'contents',
+          'name': 'action_folder_contents',
+          'action': 'folder_contents',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'cpsdocument_edit_form',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,)},
+          {'id': 'localroles',
+          'name': 'action_local_roles',
+          'action': 'folder_localrole_form',
+          'condition': 'python:0',
+          'permissions': (ModifyPortalContent,)},
           )
 }
 ###)
 
-course_type = { ###(
+course_type = { ###(  
     'title': 'WAeUP Course',
     'description': '',
@@ -405,7 +450,7 @@
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','course'],
-    'layouts': ['common','course'],
+    'layouts': ['common','course',],
     'flexible_layouts': (),
-    'layout_clusters': ['metadata:metadata'],
+    'layout_clusters': ['metadata:metadata','coursetotal:metadata,course'],
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
@@ -425,4 +470,24 @@
           'category': 'object',
           'visible': True,},
+          {'id': 'contents',
+          'name': 'action_folder_contents',
+          'action': 'folder_contents',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'cpsdocument_edit_form',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,)},
+          {'id': 'localroles',
+          'name': 'action_local_roles',
+          'action': 'folder_localrole_form',
+          'condition': 'python:0',
+          'permissions': (ModifyPortalContent,)},
           )
 }
Index: waeup_product/trunk/skins/waeup_default/layout_waeup_create.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/layout_waeup_create.pt	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/layout_waeup_create.pt	(revision 96)
@@ -1,2 +1,2 @@
 <tal:block define="global creation python:1" />
-<metal:block use-macro="here/waeup_layout_lib/macros/default_edit" />
+<metal:block use-macro="here/waeup_layout_lib/macros/common_edit" />
Index: waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/university_view.py	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/university_view.py	(revision 96)
@@ -7,5 +7,5 @@
 member = context.portal_membership.getAuthenticatedMember()
 
-if not context.portal_membership.isAnonymousUser:
+if not context.portal_membership.isAnonymousUser():
     if 'Manager' in member.getRoles():
         return context.folder_view()
Index: waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt	(revision 95)
+++ waeup_product/trunk/skins/waeup_default/waeup_layout_lib.pt	(revision 96)
@@ -203,3 +203,160 @@
 
 </metal:block>
+<!-- default edit  -->
+
+<metal:block define-macro="common_edit"
+  tal:define="layout options/layout;
+              ds options/datastructure;
+              creation creation|nothing;
+              metadata metadata|nothing;
+              type_name request/type_name|nothing;
+              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
+              tin python:type_name and getattr(here.portal_types,type_name,None);
+              creation_form options/create_action|string:create_common;
+              edit_form    options/edit_action|string:cpsdocument_edit_form;
+              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
+              formaction python: test(creation, creation_form,
+                                 test(metadata, metadata_form,
+                                                edit_form));
+              first_layout python:1;
+              last_layout python:1;
+              is_flexible options/is_flexible;
+              cpsmcat nocall:here/translation_service;
+              ">
+<tal:block condition="first_layout">
+    <span tal:condition="python: 0">
+      <span tal:content="request/type_name|string:No Typename" /><br />
+      <span tal:content="creation_form" /><br />
+      <span tal:content="ti" /><br />
+      <span tal:content="python:ti.getActionById('create', 'cpsdocument_create_form')" /><br />
+      <span tal:content="python:getattr(here.portal_types,type_name,'no type')" /><br />
+    </span>
+  <tal:block
+  content="structure string:<form action='${formaction}' method='post'
+  enctype='multipart/form-data' class='workflow'>
+  <div class='group'><div class='documentFields'>" />
+  <input type="hidden" name="type_name" value="."
+    tal:condition="creation" tal:attributes="value request/type_name" />
+</tal:block>
+
+<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
+  <tr tal:repeat="row layout/rows" valign="top">
+    <td tal:repeat="cell row"
+      tal:attributes="colspan cell/ncols">
+      <tal:block define="widget cell/widget;
+                         wid widget/getWidgetId;
+                         dm options/datastructure/getDataModel;
+                         err python:ds.getError(wid);
+                         err_mapping python:ds.getErrorMapping(wid);
+                         is_required widget/is_required|nothing;
+                         tooltip_id python:wid + '_help';
+                         widget_css_class cell/widget_css_class|nothing;
+                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
+                         css_class python:test(err, 'row error',
+                                               test(is_flexible, 'group', 'row'))">
+        <div tal:attributes="class widget_css_class;
+                             id python:widget.getHtmlWidgetId()+'_widget';
+                            ">
+          <div class="label" tal:condition="widget/label_edit"
+            tal:attributes="class python:test(is_required, 'label required',
+                                              'label')">
+            <label i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+            <label tal:condition="not:widget/is_i18n"
+              tal:content="widget/label_edit"
+              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+          </div>
+          <button type="button" class="tooltipControl"
+                  tal:condition="widget/help"
+                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+          <div class="field">
+            <div tal:replace="structure cell/widget_rendered"/>
+          </div>
+          <div class="tooltipArea" style="visibility: hidden;"
+               tal:condition="widget/help"
+               tal:attributes="id tooltip_id;
+                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
+            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
+              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
+            <tal:block tal:condition="not:widget/is_i18n"
+              tal:content="widget/help">This is the help for this field</tal:block>
+          </div>
+          <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                  tal:content="msg">err</em>
+              </tal:block>
+          </tal:block>
+          <div style="float: right;" tal:condition="is_flexible">
+            <input type="submit" value="button_move_up"
+              tal:condition="not:repeat/row/start"
+              tal:attributes="name string:uprow_${repeat/row/index}"
+              class="context moveUp" i18n:attributes="value" />
+            <input type="submit" value="button_move_down"
+              tal:condition="not:repeat/row/end"
+              tal:attributes="name string:downrow_${repeat/row/index}"
+              class="context moveDown" i18n:attributes="value" />
+            <input type="submit" value="button_delete"
+              class="destructive" i18n:attributes="value"
+              tal:attributes="name string:deleterow_${repeat/row/index};
+                              onclick python:'return window.confirm(\'%s\')' %
+                                (cpsmcat('description_confirm_delete'), )" />
+          </div>
+        </div>
+      </tal:block>
+    </td>
+  </tr>
+</table>
+
+<tal:block condition="is_flexible">
+<div style="float: right;"
+    tal:define="flexible_widgets options/flexible_widgets">
+  <input type="hidden" name="layout_id" value="."
+    tal:attributes="value layout/layout_id" />
+  <tal:select condition="python:len(flexible_widgets)>1">
+    <select name="widget_type">
+      <tal:block repeat="widget options/flexible_widgets">
+      <option value="."
+        tal:condition="widget/is_i18n"
+        i18n:translate=""
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      <option value="."
+        tal:condition="not:widget/is_i18n"
+        tal:attributes="value widget/getWidgetId"
+        tal:content="widget/title_or_id">Type</option>
+      </tal:block>
+    </select>
+    <input type="submit" name="addwidget_button" value="button_add"
+     class="context"
+     i18n:attributes="value" />
+  </tal:select>
+  <tal:button condition="python:len(flexible_widgets) == 1">
+    <tal:block define="widget python:flexible_widgets[0]">
+      <input type="hidden" name="widget_type"
+        tal:attributes="value widget/getWidgetId">
+      <input type="submit" name="addwidget_button"
+        tal:define="button_add python:cpsmcat('button_add');
+          widget_title python:cpsmcat(widget.title_or_id())"
+        tal:attributes="value string:${button_add} ${widget_title}"
+        class="context" />
+    </tal:block>
+  </tal:button>
+</div>
+</tal:block>
+
+<tal:block condition="last_layout">
+  <tal:block content="structure string:</div>" />
+  <metal:block define-slot="additional_content" />
+
+  <input type="submit" class="standalone" name="cpsdocument_edit_button"
+    value="button_change" i18n:attributes="value"
+    tal:condition="not:creation" />
+  <input type="submit" class="standalone" name="cpsdocument_create_button"
+    value="button_create" i18n:attributes="value" tal:condition="creation" />
+  <tal:block content="structure string:</div></form>" />
+</tal:block>
+
+</metal:block>
     