Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 99)
+++ /waeup_product/trunk/Extensions/install.py	(revision 100)
@@ -138,87 +138,76 @@
 
         ##########################################
-        # student actions ###(
+        # main_tab actions ###(
         ##########################################
         actions = ( { 'tool'      : 'portal_actions',
-                        'id'        : 'checkadmission',
-                        'name'      : 'Check Admission',
-                        'action'    : 'string:${object/absolute_url}/check_admission',
+                        'id'        : 'student_administration',
+                        'name'      : 'Student Administration',
+                        'action'    : 'string:${portal_url}/sections/waeup/students',
                         'permission': (View, ),
-                        'condition' : 'python: not member',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
-##                      { 'tool'      : 'portal_actions',
-##                        'id'        : 'new_student',
-##                        'name'      : 'Add Student',
-##                        'action'    : 'string:${object/absolute_url}/create_student_form',
-##                        'permission': (View),
-##                        'condition' : 'python: 0 and member and here.portal_type == "StudentsFolder"',
-##                        'category'  : 'student',
-##                        'visible'   : 1,
-##                      },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'edit_student',
-                        'name'      : 'Edit Student',
-                        'action'    : 'cpsdocument_edit_form',
-                        'permission': ( ),
-                        'condition' : 'python: 0 and member and  here.portal_type == "Student"',
-                        'category'  : 'student',
+                        'category'  : 'main_tabs',
                         'visible'   : 1,
                       },
                       { 'tool'      : 'portal_actions',
-                        'id'        : 'add_jamb',
-                        'name'      : 'Add Student JAMB',
-                        'action'    : 'string:${object/absolute_url}/create_jamb',
-                        'permission': (),
-                        'condition' : 'python: member and here.portal_type in ("StudentsFolder",) and "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
+                        'id'        : 'faculties',
+                        'name'      : 'Faculties',
+                        'action'    : 'string:${portal_url}/sections/waeup/faculties',
+                        'permission': (View ),
+                        'category'  : 'main_tabs',
                         'visible'   : 1,
                       },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'add_faculty',
-                        'name'      : 'Add New Faculty',
-                        'action'    : 'string:${object/absolute_url}/addFaculty',
-                        'permission': (),
-                        'condition' : 'python: member and here.portal_type in ("University",) and "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'add_department',
-                        'name'      : 'Add New Department',
-                        'action'    : 'string:${object/absolute_url}/addDepartment',
-                        'permission': (),
-                        'condition' : 'python: member and here.portal_type in ("Faculty",) and "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'add_course',
-                        'name'      : 'Add New Course',
-                        'action'    : 'string:${object/absolute_url}/addCourse',
-                        'permission': (),
-                        'condition' : 'python: member and here.portal_type in ("Department",) and "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'add_personal',
-                        'name'      : 'Add personal Data',
-                        'action'    : 'string:${object/absolute_url}/create_personal_form',
-                        'permission': (),
-                        'condition' : 'python: 0 and member and not here.portal_type in ("Jamb","StudentsFolder") and not "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
-                      { 'tool'      : 'portal_actions',
-                        'id'        : 'edit_jamb',
-                        'name'      : 'Edit Jamb Data',
-                        'action'    : 'cpsdocument_edit_form',
-                        'permission': ( ),
-                        'condition' : 'python: member and here.portal_type in ("Student",) and "StudentManager" in member.getGroups()',
-                        'category'  : 'student',
-                        'visible'   : 1,
-                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'add_jamb',
+##                        'name'      : 'Add Student JAMB',
+##                        'action'    : 'string:${object/absolute_url}/create_jamb',
+##                        'permission': (),
+##                        'condition' : 'python: member and here.portal_type in ("StudentsFolder",) and "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'add_faculty',
+##                        'name'      : 'Add New Faculty',
+##                        'action'    : 'string:${object/absolute_url}/addFaculty',
+##                        'permission': (),
+##                        'condition' : 'python: member and here.portal_type in ("University",) and "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'add_department',
+##                        'name'      : 'Add New Department',
+##                        'action'    : 'string:${object/absolute_url}/addDepartment',
+##                        'permission': (),
+##                        'condition' : 'python: member and here.portal_type in ("Faculty",) and "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'add_course',
+##                        'name'      : 'Add New Course',
+##                        'action'    : 'string:${object/absolute_url}/addCourse',
+##                        'permission': (),
+##                        'condition' : 'python: member and here.portal_type in ("Department",) and "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'add_personal',
+##                        'name'      : 'Add personal Data',
+##                        'action'    : 'string:${object/absolute_url}/create_personal_form',
+##                        'permission': (),
+##                        'condition' : 'python: 0 and member and not here.portal_type in ("Jamb","StudentsFolder") and not "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
+##                      { 'tool'      : 'portal_actions',
+##                        'id'        : 'edit_jamb',
+##                        'name'      : 'Edit Jamb Data',
+##                        'action'    : 'cpsdocument_edit_form',
+##                        'permission': ( ),
+##                        'condition' : 'python: member and here.portal_type in ("Student",) and "StudentManager" in member.getGroups()',
+##                        'category'  : 'student',
+##                        'visible'   : 1,
+##                      },
                     )
         self.verifyActions(actions)
@@ -342,11 +331,11 @@
     #
     portlets = (
-              {'identifier': 'waeup_main_tabs',
-              'type': 'Custom Portlet',
-              'slot': 'main_tabs',
-              'order': 0,
-              'render_method': 'portlet_main_navigation',
-              'Title': 'main tabs',
-              },
+##              {'identifier': 'waeup_main_tabs',
+##              'type': 'Custom Portlet',
+##              'slot': 'main_tabs',
+##              'order': 0,
+##              'render_method': 'portlet_main_navigation',
+##              'Title': 'main tabs',
+##              },
               {'identifier': 'waeup_breadcrumbs',
               'type': 'Breadcrumbs Portlet',
@@ -359,9 +348,16 @@
               'order': 0,
               },
+              {'identifier': 'waeup_main_tab_actions',
+              'type': 'Actions Portlet',
+              'slot': 'main_tabs',
+              'order': 0,
+              'categories': ['main_tabs',],
+              'Title': 'waep_main_tab_actions',
+              },
               {'identifier': 'waeup_object_actions',
               'type': 'Actions Portlet',
               'slot': 'waeup_object_actions',
               'order': 0,
-              'categories': ['object'],
+              'categories': ['object',],
               'Title': 'waep_manager_actions',
               },
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 99)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 100)
@@ -211,4 +211,64 @@
 ###)
 
+course_type = { ###(  
+    'title': 'WAeUP Course',
+    'description': '',
+    'content_icon': 'student.gif',
+    'content_meta_type': 'Course',
+    'product': 'WAeUP',
+    'factory': 'addCourse',
+    'immediate_view': 'cpsdocument_view',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+    'cps_is_searchable': True,
+    'cps_proxy_type': 'document',
+    'cps_display_as_document_in_listing': True,
+    'schemas': ['metadata','common','course'],
+    'layouts': ['course',],
+    'flexible_layouts': (),
+    'layout_clusters': ['metadata:metadata','coursetotal:metadata,course'],
+    'cps_section_wf': 'waeup_section_wf',
+    'use_content_status_history': 0,
+    'actions': (
+         {'id': 'view',
+          'name': 'action_view',
+          'action': 'string:${object_url}/course_index_html',
+          'condition': '',
+          'permission': ('View',),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (CourseManage,),
+          'category': 'object',
+          'visible': True,},
+          {'id': 'contents',
+          'name': 'action_folder_contents',
+          'action': 'folder_contents',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'cpsdocument_edit_form',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,UniversityManage,)},
+          {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:member and 'Manager' in member.getRoles()",
+          'permissions': (ModifyPortalContent,)},
+          {'id': 'localroles',
+          'name': 'action_local_roles',
+          'action': 'folder_localrole_form',
+          'condition': 'python:0',
+          'permissions': (ModifyPortalContent,)},
+          )
+}
+###)
+
 jamb_type = { ###(
     'title': "JAMB data",